;;
;; appndd.pro:  Utility procedure based on the SPICELIB routine
;; APPNDD.
;;
;; appndd appends a double precision value to an Icy double
;; precision cell.
;;
;;
;; The N0061 version of the SPICE Toolkit will provide
;; a routine
;;
;;    cspice_appndd
;;
;; which will supersede this procedure.
;;
;;    07-MAR-2006 (NJB)
;;


PRO appndd, item, dpcell

   card = cspice_card ( dpcell )
   size = cspice_size ( dpcell )

   if  card GE size  then begin

      ;;
      ;; The cell is already full.  This is an error.
      ;;

      print, 'Cardinality and size of cell are '        + $
             'both equal to ', card, '. No room '       + $
             'is available for an additional element. '
      return

   endif
   
   ;;
   ;; Append the value to the cell's data array.
   ;;

   loc = dpcell.data + card 

   dpcell.base[loc] = item

   ;;
   ;; Update the cell's cardinality.
   ;;
   cspice_scard, card+1, dpcell

END
