;;
;; modris.pro
;;
;; Utility routines supporting rise/set searches
;;

PRO setris, srfpt, abcorr, target, limit

   ;;
   ;; Save function arguments to be used while searching.
   ;;

   common modris_vars, svcorr, svsfpt, svtarg, svlim

   svcorr = abcorr
   svsfpt = srfpt
   svtarg = target
   svlim  = limit

END


FUNCTION stris, et
   ;;
   ;; Logical function to indicate "state" of target:  the state
   ;; is TRUE when the target is above the elevation limit
   ;; in the topocentric frame at the saved surface point;
   ;; otherwise the state is FALSE.
   ;;
   
   common modris_vars

   srfazl, svsfpt, et, svcorr, svtarg, az, el, r

   retval = el GT svlim

   return, retval

END
